/**
 * The output configuration. (see https://webpack.js.org/configuration/output/)
 */
const output = (cartridge, { pathPrefix, dirname, production, devServer, site, locale, }) => ({
    path: `${dirname}/${pathPrefix ?? ''}cartridges/${cartridge}/cartridge/static/default/js`,
    filename: '[name].js',
    // chunkFilename: '[name].js',
    sourceMapFilename: '[file].map',
    publicPath: devServer && site && locale
        ? `/on/demandware.static/Sites-${site}-Site/-/${locale}/js/`
        : undefined,
    clean: production,
});
export default output;
//# sourceMappingURL=output.js.map