import type { RuleSetRule } from 'webpack';
import type { ConfigurationFnc } from '../../../types.js';
/**
 * Rules to transform CSS.
 *
 * For SFCC projects it's common to use SCSS to produce CSS. These rules transform the SCSS to CSS and
 * add some PostCSS transformations as well. `mini-css-extract-plugin` is used to extract the resulting
 * CSS into a separate file.
 */
declare const css: ConfigurationFnc<RuleSetRule[]>;
export default css;
