import type { RuleSetRule } from 'webpack';
import type { ConfigurationFnc } from '../../../types.js';
/**
 * Rules to transpile JavaScript and TypeScript files using swc (https://swc.rs/).
 *
 * You can change setting by providing a `.swcrc` file in the root of your project
 * (see https://swc.rs/docs/configuring-swc).
 * This also uses the browserslist configuration (see https://github.com/browserslist/browserslist#config-file).
 */
declare const swc: ConfigurationFnc<RuleSetRule[]>;
export default swc;
